import java.io.File;
import java.lang.reflect.Field;
import java.util.Arrays;

import net.minecraft.client.main.Main;
import net.minecraft.launchwrapper.Launch;

public class StartMod
{
    public static void main(String[] args)
    {
        Launch.main(concat(new String[] {"--version", "mcp", "--accessToken", "0", "--assetsDir", "assets", "--assetIndex", "1.11", "--userProperties", "{}",
        		"--username","Player000","--tweakClass","shadersmod.launch.SMCTweaker"
        }, args));
    }

    public static <T> T[] concat(T[] first, T[] second)
    {
        T[] result = Arrays.copyOf(first, first.length + second.length);
        System.arraycopy(second, 0, result, first.length, second.length);
        return result;
    }
}
